Bug 262819 - Go to Type Selection Order misleading
Go to Type Selection Order misleading
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Navigation
8.2
PC Windows 8.1
: P2 with 2 votes (vote)
: TBD
Assigned To: Tomas Zezula
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-14 23:37 UTC by bht
Modified: 2017-05-18 01:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bht 2016-07-14 23:37:53 UTC
NetBeans IDE 8.2 Dev (Build 201607090002)

In Java, if the value used for "Go to Type" has multiple matches, where the entered value has a perfect match, and another much weaker match where substrings of the entered value match a larger name, then very often, the weaker match is focused, leading to incorrect selections.

Example:

Entered value: JdbcTeamTypeDao
Perfect match: JdbcTeamTypeDao
Weak match: JdbcTeamServiceTypeDao
Focused, selected value: JdbcTeamServiceTypeDao
List order: JdbcTeamServiceTypeDao, JdbcTeamTypeDao

It appears that the current algorithm is the selection of the first member of an alphabetically orderd list which is often wrong.
Comment 1 Tomas Zezula 2017-05-16 16:34:12 UTC
Added a possibility to switch the ordering to "Similarity" (levenshtein distance from the entered text to found item).
The ordering can be changed in the Tools/Options/Editor/Go To.
The default is kept unchanged - alphabetical sort, you need to change the option.

Fixed jet-main http://hg.netbeans.org/jet-main/rev/8f3a3358b27f
Comment 2 Quality Engineering 2017-05-18 01:53:17 UTC
Integrated into 'main-silver', will be available in build *201705180001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/8f3a3358b27f
User: Tomas Zezula <tzezula@netbeans.org>
Log: #262819:Go to Type Selection Order misleading


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo